Skip to main content
GET
/
api2
/
v1
/
projects
/
{projectUid}
/
customFields
/
{fieldInstanceUid}
Get custom field of project
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/customFields/{fieldInstanceUid} \
  --header 'Authorization: <api-key>'
{
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": {
    "uid": "<string>"
  },
  "customField": {
    "allowedEntities": [
      "PROJECT"
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "createdBy": {
      "email": "<string>",
      "firstName": "<string>",
      "id": "<string>",
      "lastName": "<string>",
      "role": "SYS_ADMIN",
      "uid": "<string>",
      "userName": "<string>"
    },
    "description": "<string>",
    "lastModified": "2023-11-07T05:31:56Z",
    "lastModifiedBy": {
      "email": "<string>",
      "firstName": "<string>",
      "id": "<string>",
      "lastName": "<string>",
      "role": "SYS_ADMIN",
      "uid": "<string>",
      "userName": "<string>"
    },
    "name": "<string>",
    "options": {
      "remainingCount": 123,
      "truncatedOptions": [
        {
          "deprecated": true,
          "uid": "<string>",
          "used": true,
          "value": "<string>"
        }
      ]
    },
    "required": true,
    "requiredFrom": "2023-11-07T05:31:56Z",
    "type": "MULTI_SELECT",
    "uid": "<string>"
  },
  "selectedOptions": [
    {
      "deprecated": true,
      "uid": "<string>",
      "used": true,
      "value": "<string>"
    }
  ],
  "uid": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "updatedBy": {
    "uid": "<string>"
  },
  "value": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required
fieldInstanceUid
string
required

Response

successful operation

createdAt
string<date-time>
createdBy
object
customField
object
selectedOptions
object[]
uid
string
updatedAt
string<date-time>
updatedBy
object
value
string